import buildah-1.24.5-2.module+el8.7.0+16520+2db5507d
This commit is contained in:
parent
f83646c2e5
commit
a15ae6e9d9
@ -1 +1 @@
|
||||
09993f8aad3024403e1e2aa76aa3d11d1023cceb SOURCES/release-1.24-7b559a3.tar.gz
|
||||
93335f63aed53c8ab8caeb25c44743052f028c3f SOURCES/release-1.24-8cc4586.tar.gz
|
||||
|
2
.gitignore
vendored
2
.gitignore
vendored
@ -1 +1 @@
|
||||
SOURCES/release-1.24-7b559a3.tar.gz
|
||||
SOURCES/release-1.24-8cc4586.tar.gz
|
||||
|
@ -1,45 +0,0 @@
|
||||
From eedab4fd872c3be8ab15af767897f92c78a71fde Mon Sep 17 00:00:00 2001
|
||||
From: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
||||
Date: Mon, 21 Feb 2022 14:58:40 -0500
|
||||
Subject: [PATCH] helpers.bash: Use correct syntax
|
||||
|
||||
Fixes gating test failure:
|
||||
```
|
||||
/usr/share/buildah/test/system/./helpers.bash: line 474: !is_cgroupsv2: command not found
|
||||
```
|
||||
|
||||
Co-authored-by: Yiqiao Pu <ypu@redhat.com>
|
||||
|
||||
I'm just the committer.
|
||||
|
||||
Signed-off-by: Lokesh Mandvekar <lsm5@fedoraproject.org>
|
||||
---
|
||||
tests/helpers.bash | 8 ++++----
|
||||
1 file changed, 4 insertions(+), 4 deletions(-)
|
||||
|
||||
diff --git a/tests/helpers.bash b/tests/helpers.bash
|
||||
index bd2794c974..3e72108bec 100644
|
||||
--- a/tests/helpers.bash
|
||||
+++ b/tests/helpers.bash
|
||||
@@ -433,9 +433,9 @@ function skip_if_rootless() {
|
||||
##################################
|
||||
function skip_if_rootless_and_cgroupv1() {
|
||||
if test "$BUILDAH_ISOLATION" = "rootless"; then
|
||||
- if !is_cgroupsv2; then
|
||||
- skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
||||
- fi
|
||||
+ if ! is_cgroupsv2; then
|
||||
+ skip "${1:-test does not work when \$BUILDAH_ISOLATION = rootless} and not cgroupv2"
|
||||
+ fi
|
||||
fi
|
||||
}
|
||||
|
||||
@@ -471,7 +471,7 @@ function skip_if_cgroupsv2() {
|
||||
# skip_if_cgroupsv1 # Some tests don't work with cgroupsv1
|
||||
#######################
|
||||
function skip_if_cgroupsv1() {
|
||||
- if !is_cgroupsv2; then
|
||||
+ if ! is_cgroupsv2; then
|
||||
skip "${1:-test does not work with cgroups v1}"
|
||||
fi
|
||||
}
|
@ -12,13 +12,13 @@ go build -buildmode pie -compiler gc -tags="rpm_crashtraceback libtrust_openssl
|
||||
|
||||
%global import_path github.com/containers/buildah
|
||||
%global branch release-1.24
|
||||
%global commit0 7b559a3e7cff23f2207a36140178174d6e130a56
|
||||
%global commit0 8cc45860878359be0a53bed42adb8991e245e24a
|
||||
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
|
||||
|
||||
Epoch: 1
|
||||
Name: buildah
|
||||
Version: 1.24.2
|
||||
Release: 3%{?dist}
|
||||
Version: 1.24.5
|
||||
Release: 2%{?dist}
|
||||
Summary: A command line tool used for creating OCI Images
|
||||
License: ASL 2.0
|
||||
URL: https://%{name}.io
|
||||
@ -29,8 +29,7 @@ Source0: https://%{import_path}/tarball/%{commit0}/%{branch}-%{shortcommit0}.tar
|
||||
%else
|
||||
Source0: https://%{import_path}/archive/%{commit0}/%{name}-%{version}-%{shortcommit0}.tar.gz
|
||||
%endif
|
||||
Patch0: fix-bash-syntax.patch
|
||||
BuildRequires: golang >= 1.16.6
|
||||
BuildRequires: golang >= 1.17.7
|
||||
BuildRequires: git
|
||||
BuildRequires: glib2-devel
|
||||
BuildRequires: libseccomp-devel
|
||||
@ -129,9 +128,56 @@ make DESTDIR=%{buildroot} PREFIX=%{_prefix} -C docs install
|
||||
%{_datadir}/%{name}/test
|
||||
|
||||
%changelog
|
||||
* Fri Mar 25 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-3
|
||||
- switch to RHEL maintenance branch which fixes CVE-2022-27651
|
||||
- Resolves: #2067553
|
||||
* Wed Aug 24 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.5-2
|
||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
|
||||
(https://github.com/containers/buildah/commit/8cc4586)
|
||||
- Related: #2061390
|
||||
|
||||
* Thu Jul 28 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.5-1
|
||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
|
||||
(https://github.com/containers/buildah/commit/83c5f26)
|
||||
- Related: #2061390
|
||||
|
||||
* Fri Jul 15 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.4-3
|
||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
|
||||
(https://github.com/containers/buildah/commit/e99286b)
|
||||
- Related: #2061390
|
||||
|
||||
* Wed Jul 13 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.4-2
|
||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
|
||||
(https://github.com/containers/buildah/commit/63813ef)
|
||||
- Related: #2061390
|
||||
|
||||
* Thu May 12 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.4-1
|
||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
|
||||
(https://github.com/containers/buildah/commit/c1bdaba)
|
||||
- Related: #2061390
|
||||
|
||||
* Wed May 11 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.3-1
|
||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
|
||||
(https://github.com/containers/buildah/commit/d29224c)
|
||||
- Related: #2061390
|
||||
|
||||
* Fri Apr 29 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-5
|
||||
- update to the latest content of https://github.com/containers/buildah/tree/release-1.24
|
||||
(https://github.com/containers/buildah/commit/9c456a3)
|
||||
- Related: #2061390
|
||||
|
||||
* Fri Apr 29 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.24.2-4
|
||||
- use release-1.24 maintenance branch for the 4.0 stable stream
|
||||
- Related: #2061390
|
||||
|
||||
* Fri Apr 08 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.25.1-2
|
||||
- bump golang BR to 1.17.7
|
||||
- Related: #2061390
|
||||
|
||||
* Thu Mar 31 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.25.1-1
|
||||
- update to https://github.com/containers/buildah/releases/tag/v1.25.1
|
||||
- Related: #2061390
|
||||
|
||||
* Wed Mar 30 2022 Jindrich Novy <jnovy@redhat.com> - 1:1.25.0-1
|
||||
- update to https://github.com/containers/buildah/releases/tag/v1.25.0
|
||||
- Related: #2061390
|
||||
|
||||
* Mon Feb 21 2022 Lokesh Mandvekar <lsm5@redhat.com> - 1:1.24.2-2
|
||||
- Add patch to fix bash symtax for gating tests
|
||||
|
Loading…
Reference in New Issue
Block a user